<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org" lang="en">
    <head>
        <meta charset="UTF-8"/>
        <title>Animals</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css"/>
    </head>
    <body>
        <div class="container">
            <h1>Animals</h1>
            <table class="striped">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Name</th>
                        <th>Age</th>
                        <th>Type</th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="animal : ${myAnimalList}">
                        <td th:text="${animal.id}"></td>
                        <td th:text="${animal.name}">x</td>
                        <td th:text="${animal.age}">x</td>
                        <td th:text="${animal.type}">x</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <script src="http://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
    </body>
</html>